Subject: bug#7629: 23.2; Remote X Emacsclient Frame Issue

From: Chong Yidong <[email-masked]>
Date: Wed, 29 Dec 2010 12:00:16 +0800

William Gardella <[email-masked]> writes:

> The directory issue appears to have something to do with the setting of
> the `server-socket-dir' variable.  Setting this variable explicitly from
> my initialization file prevents the TMPDIR conflict.

That's because the initialization of server-socket-dir looks for TMPDIR,
so if TMPDIR differ on the two machines, fixing one of them will fix the
conflict.

What I don't understand is the symptoms:

> If I attempt to launch a local emacsclient frame on the host
> machine, after launching an X emacsclient on the remote system,
> emacsclient cannot find the server and launches a fresh emacs
> --daemon.

If TMPDIR is defined locally to /tmp/user/1000/, launching a server
locally and running emacsclient locally should use the same directory.

Is it possible that you're running emacs --daemon prior to TMPDIR being
set?